### Struct

# EBookContacts BookIndices

since: 3.50

#### Description [src]

    struct EBookIndices {
      gchar* chr;
      guint index;
    }

This is a structure describing indices of the contacts in the view. See `e_book_client_view_dup_indices()` for more information.

###### Structure members

`chr:` `gchar*`

  A character for the index.

`index:` `guint`

  0-based index of the first contact with this character.

Available since: 3.50

#### Functions

###### e_book_indices_get_ascending_sort

Returns whether the `self` considers contacts stored in the ascending order.

since: 3.50

###### e_book_indices_set_ascending_sort

Sets whether the contacts are sorted in an ascending order; if not, then they are sorted in the descending order. That influences what indexes the indices have set.

since: 3.50

#### Instance methods

###### e_book_indices_copy

Creates a copy of the `src`. If the %src is `NULL`, the `NULL` is returned. Both the `src` and the returned array is terminated by an item, which has the chr member set to `NULL`.

since: 3.50

###### e_book_indices_free

Frees the `indices` array with each member. The array should be terminated by an item with chr member set to `NULL`.